import { Injectable } from '@angular/core'
import { Observable, BehaviorSubject } from 'rxjs'
import { LocalStorageService } from './localstorage.service'

@Injectable({
    providedIn: 'root'
})
export class LanguageService {
    public language: BehaviorSubject<string>

    constructor(private _localStorage: LocalStorageService) {
        this.language = new BehaviorSubject<string>("de")
    }

    setLanguage(language : string) {
        this.language.next(language)
        this._localStorage.set('languagePreference', language)
    }
}
